<!-- Based on fast/repaint/transform-rotate-and-remove.html -->
<!DOCTYPE html>
<html>
    <head>
        <title>
            Test case for https://bugs.webkit.org/show_bug.cgi?id=61338 
        </title>
        <style>
            .rotated {
                transform:rotate(50deg);
            }
        </style>
        <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
        <script>
            window.expectedPaintInvalidationObjects = [
                "LayoutBlockFlow DIV id='rel'",
                "LayoutBlockFlow DIV id='rel'",
            ];
            function paintInvalidationTest() {
                document.getElementById('rel').classList.remove('rotated');
            }
        </script>
    </head>
    <body onload="runPaintInvalidationTest()">
        <!--
        <p> Bug <a href="https://bugs.webkit.org/show_bug.cgi?id=61338">61338</a>: Element not fully repainted after application and removal of transform </p>
        <p> The test PASSES only if all the four borders of the box are displayed in green</p>
        -->
        <div id="rel" class="rotated" style="height:50px; width:200px; background-color:yellow ; border:10px solid green;">  </div>
    </body>
</html>
